Page MenuHomeFreeBSD

ibcore: Mark write-only variables
ClosedPublic

Authored by andrew on May 22 2024, 2:35 PM.
Tags
None
Referenced Files
Unknown Object (File)
Mon, Jul 8, 5:12 AM
Unknown Object (File)
Sat, Jul 6, 8:36 PM
Unknown Object (File)
Thu, Jun 27, 8:54 PM
Unknown Object (File)
Thu, Jun 27, 3:08 PM
Unknown Object (File)
Wed, Jun 12, 4:31 PM
Unknown Object (File)
Jun 8 2024, 4:21 PM
Unknown Object (File)
Jun 5 2024, 7:21 AM
Unknown Object (File)
May 30 2024, 6:26 PM
Subscribers

Details

Summary

Some LinuxKPI lock macros pass need a flags field passed in. This is
written to but never read from so gcc complains.

Fix this by marking the flags variables as unused to quieten the
compiler.

Sponsored by: Arm Ltd

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

I wonder if we want a local #define __writeonly __unused for documentation purposes.

This revision is now accepted and ready to land.Jun 3 2024, 5:34 PM

I wonder if we want a local #define __writeonly __unused for documentation purposes.

If we do, maybe that's best in sys/cdefs.h instead of here?

May be instead, the *lock_irq* macros might do something to fake the argument use?

This revision now requires review to proceed.Jun 11 2024, 11:16 AM
This revision is now accepted and ready to land.Jun 11 2024, 2:33 PM
This revision was automatically updated to reflect the committed changes.